How do we know when an item (lets say a plugin) has been updated to work with the4 latest version of

NergaliNergali Posts: 0
edited August 2012 in New Users

How do we know when an item (lets say a plugin) has been updated to work with the4 latest version of DAZ Studio. For instance I bought GenX (and the G3 bundle for it) however it (when I got it) was not updated for 4.5.
When it, or any-other bought items, is updated how are we the buyer to know?

Post edited by Nergali on

Comments

  • JaderailJaderail Posts: 0
    edited December 1969

    Check this Thread. http://www.daz3d.com/forums/discussion/5976/ it's keep up with them.

  • NergaliNergali Posts: 0
    edited December 1969

    Thanks I've now subscribed to both that thread and the Linked one for the specific GenX update.
    (note: when I first concieved of asking this question the above linked thread did not exist. . . I was silly and did not re-search before posting (as opposed to research ;) ) )

  • revenger681revenger681 Posts: 154
    edited December 1969

    Glad you asked the question! I was wondering the same thing but remained silent about it. lol. A long time ago I checked an old hair model I bought for V2 or V3 and it had red letters on the product in the store saying "This model has been updated to work with the latest version of Victoria (4, 4.2 wasn't released yet). Since then I've always wondered "Hmmm. I wonder if any thing else I've bought was updated, for free?".

Sign In or Register to comment.
Rocket Fuel